REM PWM Regultor ovldan potenciometrem - PICAXE 08M2

	symbol DATA_PIN = C.0	;vstup sriovch dat pro 4094
	symbol CLOCK_PIN = C.1	;vstup hodinovho signlu pro 4094
	symbol VYSTUP = C.2	;PWM vstup
	symbol VSTUP = C.4	;vstup ADC  
	
	
init:	let w0=0			;inicializace promnnch a nulovn vstupu 4094
	low VYSTUP
	low DATA_PIN
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1
	pulsout CLOCK_PIN,1

start:

	readadc10 VSTUP,w0				;naten aktulnho napt na vstupu ADC 
	pwmout VYSTUP,255,w0				;vstup PWM v zvislosti na promnn w0
	
	if w0<=1 then goto nula				;rozsvcovn LED v zvislosti na ADC vstupu
	if w0>1 and w0<=127 then goto jedna
	if w0>127 and w0<=255 then goto dva
	if w0>255 and w0<=373 then goto tri
	if w0>373 and w0<=500 then goto ctyri
	if w0>500 and w0<=627 then goto pet
	if w0>627 and w0<=755 then goto sest
	if w0>755 and w0<=880 then goto sedm
	if w0>880 then goto osm
	
nula: 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start	
	

jedna: 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		goto start 
		
dva:	 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start 		
		
tri:	 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start		
		
ctyri: 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start		

pet:	 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start
		
sest:	 	low DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start		
		
sedm:	 	low DATA_PIN
		pulsout CLOCK_PIN,1
		high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start		

osm:	 	high DATA_PIN
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		pulsout CLOCK_PIN,1
		goto start		

	end